> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kelviq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update product settings

> Updates one or more product settings fields. Changing `currency` re-enables previously disabled prices in the new currency on the latest plans of that product.



## OpenAPI

````yaml /api-reference/openapi.json patch /catalog/products/{pk}/settings/
openapi: 3.0.0
info:
  title: kelviq API
  version: 1.0.0
  description: >-
    API for interacting with kelviq services, derived from Python SDK
    documentation.
servers:
  - url: https://api.kelviq.com/api/v1
    description: kelviq API Server (General - specific operations might override)
security:
  - bearerAuth: []
tags:
  - name: Products
    description: Catalog products.
  - name: Product Settings
    description: Per-product settings (currency, VPN/Tor/proxy, product URL).
  - name: Product Files
    description: Product images and downloadable assets.
  - name: Features
    description: Catalog features that can be granted as plan entitlements.
  - name: Plans
    description: Catalog plans (CRUD, publish, versions, prices).
  - name: Plan Entitlements
    description: Feature entitlements attached to a plan.
  - name: Plan Files
    description: Files attached to plans, and signed download links.
  - name: Media
    description: Generate presigned S3 upload URLs for product/plan images and files.
  - name: Partner
    description: Partner integration APIs (organization provisioning, lookup).
  - name: Charges
    description: >-
      One-time payments charged immediately against a customer's default payment
      method.
paths:
  /catalog/products/{pk}/settings/:
    parameters:
      - name: pk
        in: path
        required: true
        description: Product UUID.
        example: 0d65f7c0-7e91-4f56-9b32-13a9a6a7c1de
        schema:
          type: string
          format: uuid
    patch:
      tags:
        - Product Settings
      summary: Update product settings
      description: >-
        Updates one or more product settings fields. Changing `currency`
        re-enables previously disabled prices in the new currency on the latest
        plans of that product.
      operationId: updateCatalogProductSettings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductSettingsUpdateRequest'
      responses:
        '200':
          description: Updated product settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductSettings'
        '401':
          description: Unauthorized — missing or invalid API key
      security:
        - bearerAuth: []
components:
  schemas:
    ProductSettingsUpdateRequest:
      type: object
      description: >-
        Partial update to product settings. Any subset of fields may be
        supplied.
      properties:
        vpn:
          type: boolean
          example: false
        tor:
          type: boolean
          example: false
        proxy:
          type: boolean
          example: true
        currency:
          type: string
          example: EUR
        productUrl:
          type: string
          format: uri
          example: https://app.example.com
    ProductSettings:
      type: object
      description: Behavioural and presentation settings attached to a product.
      properties:
        vpn:
          type: boolean
          description: If `true`, VPN traffic is allowed for this product's experience.
          example: true
        tor:
          type: boolean
          description: If `true`, Tor traffic is allowed.
          example: true
        proxy:
          type: boolean
          description: If `true`, proxy traffic is allowed.
          example: true
        currency:
          type: string
          description: Default currency for the product.
          example: USD
        productUrl:
          type: string
          nullable: true
          format: uri
          description: Public URL of the product.
          example: https://app.example.com
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        The Server API Key obtained from the kelviq application. Pass as a
        Bearer token in the Authorization header. Example: 'Authorization:
        Bearer __YOUR_API_KEY__'

````